Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.config
Enum EncryptionOptions.InternodeEncryption

    java.lang.Object
      java.lang.Enum<EncryptionOptions.InternodeEncryption>
          org.apache.cassandra.config.EncryptionOptions.InternodeEncryption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EncryptionOptions.InternodeEncryption>

Enclosing class:
  EncryptionOptions

    public static enum EncryptionOptions.InternodeEncryption

extends java.lang.Enum<EncryptionOptions.InternodeEncryption>

Enum Constant Summary
`all`
`dc`
`none`
`rack`

Method Summary
`static EncryptionOptions.InternodeEncryption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EncryptionOptions.InternodeEncryption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### all

    public static final EncryptionOptions.InternodeEncryption all

### none

    public static final EncryptionOptions.InternodeEncryption none

### dc

    public static final EncryptionOptions.InternodeEncryption dc

### rack

    public static final EncryptionOptions.InternodeEncryption rack

Method Detail

### values

    public static EncryptionOptions.InternodeEncryption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EncryptionOptions.InternodeEncryption c : EncryptionOptions.InternodeEncryption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EncryptionOptions.InternodeEncryption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 The Apache Software Foundation